Bug 496741 - Regression: kernel-xen reproducibly crashes when remotely controlling machine
Regression: kernel-xen reproducibly crashes when remotely controlling machine
Status: CLOSED DUPLICATE of bug 479754
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 17:23 EDT by Martin Jürgens
Modified: 2009-04-22 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 06:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2009-04-20 17:23:19 EDT
Description of problem:
I have been using EL 5.2 for a long time and have been using freenx to control my server. Since I have upgraded to EL 5.3, my server completly reboots after controlling it some minutes using freenx. There is no Oops in /var/log/messages, just a plain

Apr 20 23:10:11 sun syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):
2.6.18-128.1.6.el5xen

How reproducible:
Always. I just need to know how to get information why it crashes.

Steps to Reproduce:
1. Control the machine via Freenx
2.
3.
  
Actual results:
Reboots after 5-30 minutes

Expected results:
Should work flawlessly, as it did with 5.2

Additional information:
I am using Xen with a routed setup.
Comment 1 Martin Jürgens 2009-04-20 17:41:55 EDT
Next time the problem appears my system will automatically generate a vmcore file. Hope that I can extract some information out of it. if you need more data to fix this problem, please let me know.
Comment 2 Martin Jürgens 2009-04-21 10:42:20 EDT
I have gathered information that should make it possible to analyse the problem which is as follows:

      KERNEL: /usr/lib/debug/lib/modules/2.6.18-128.1.6.el5xen/vmlinux
    DUMPFILE: vmcore
        CPUS: 2
        DATE: Tue Apr 21 16:26:12 2009
      UPTIME: 16:48:46
LOAD AVERAGE: 0.01, 0.08, 0.06
       TASKS: 221
    NODENAME: sun.bentos
     RELEASE: 2.6.18-128.1.6.el5xen
     VERSION: #1 SMP Wed Apr 1 07:21:08 EDT 2009
     MACHINE: x86_64  (2813 Mhz)
      MEMORY: 1.6 GB
       PANIC: "Oops: 0002 [1] SMP " (check log for details)
         PID: 21394
     COMMAND: "firefox"
        TASK: ffff880053626080  [THREAD_INFO: ffff880019604000]
         CPU: 0
       STATE: TASK_RUNNING (PANIC)

crash> bt
PID: 21394  TASK: ffff880053626080  CPU: 0   COMMAND: "firefox"
 #0 [ffff880019605780] crash_kexec at ffffffff802a3bb8
 #1 [ffff880019605840] __die at ffffffff80264349
 #2 [ffff880019605880] do_page_fault at ffffffff80266971
 #3 [ffff880019605970] error_exit at ffffffff8025f82b
    [exception RIP: xen_create_contiguous_region+141]
    RIP: ffffffff8027d217  RSP: ffff880019605a28  RFLAGS: 00010246
    RAX: 0000000000000000  RBX: ffff8800112d4000  RCX: 0000000000001000
    RDX: 0000000000000000  RSI: 0000000000000000  RDI: ffff8800112d7000
    RBP: 0000000000000000   R8: ffffffff804eac44   R9: 0000000000000000
    R10: ffff880019605a28  R11: 0000000000000048  R12: 0000000000000002
    R13: 0000000000000004  R14: ffff8800648af140  R15: ffff88000001b7c0
    ORIG_RAX: ffffffffffffffff  CS: e030  SS: e02b
 #4 [ffff880019605a20] xen_create_contiguous_region at ffffffff8027d1cd
 #5 [ffff880019605aa0] skbuff_ctor at ffffffff803a8439
 #6 [ffff880019605ac0] cache_alloc_refill at ffffffff8025e1c0
 #7 [ffff880019605b20] kmem_cache_alloc at ffffffff8020afbc
 #8 [ffff880019605b40] alloc_skb_from_cache at ffffffff80235df4
 #9 [ffff880019605b80] sock_alloc_send_skb at ffffffff8040a972
#10 [ffff880019605be0] unix_stream_sendmsg at ffffffff8024bd8c
#11 [ffff880019605c70] do_sock_write at ffffffff80238947
#12 [ffff880019605ca0] sock_writev at ffffffff80409e68
#13 [ffff880019605e60] do_readv_writev at ffffffff802cf174
#14 [ffff880019605f40] sys_writev at ffffffff802cf31d
#15 [ffff880019605f80] tracesys at ffffffff8025f2f9 (via system_call)
    RIP: 00000034250cc033  RSP: 00007fff45256170  RFLAGS: 00000202
    RAX: ffffffffffffffda  RBX: ffffffff8025f2f9  RCX: ffffffffffffffff
    RDX: 0000000000000002  RSI: 00007fff452561d0  RDI: 0000000000000003
    RBP: 0000000000000003   R8: 0000000000000002   R9: 0000000000000000
    R10: 00007fff45256580  R11: 0000000000000202  R12: 00007fff452561d0
    R13: 0000000000000002  R14: 000000000000caf4  R15: 0000000100000000
    ORIG_RAX: 0000000000000014  CS: 0033  SS: e02b
Comment 3 Martin Jürgens 2009-04-21 13:06:05 EDT
even more ;)

Unable to handle kernel paging request at ffff8800112d7000 RIP: 
 [<ffffffff8027d217>] xen_create_contiguous_region+0x8d/0x456
PGD 1270067 PUD 1271067 PMD 12fb067 PTE 0
Oops: 0002 [1] SMP 
last sysfs file: /devices/pci0000:00/0000:00:00.0/irq
CPU 0 
Modules linked in: xt_tcpudp xt_physdev bridge iptable_filter ip_tables x_tables netloop netbk blktap blkbk ipv6 xfrm_nalgo crypto_api powernow_k8 freq_table 
loop dm_multipath scsi_dh video backlight sbs i2c_ec button battery asus_acpi ac parport_pc lp parport snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_ev
ent snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss shpchp snd_pcm snd_timer snd_page_alloc snd_hwdep snd sg soundcore serial_core r8169 mii k8_edac edac_mc 
k8temp hwmon pcspkr serio_raw i2c_piix4 i2c_core dm_raid45 dm_message dm_region_hash dm_mem_cache dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci libata sd_m
od scsi_mod ext3 jbd uhci_hcd ohci_hcd ehci_hcd
Pid: 21394, comm: firefox Not tainted 2.6.18-128.1.6.el5xen #1
RIP: e030:[<ffffffff8027d217>]  [<ffffffff8027d217>] xen_create_contiguous_region+0x8d/0x456
RSP: e02b:ffff880019605a28  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8800112d4000 RCX: 0000000000001000
RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff8800112d7000
RBP: 0000000000000000 R08: ffffffff804eac44 R09: 0000000000000000
R10: ffff880019605a28 R11: 0000000000000048 R12: 0000000000000002
R13: 0000000000000004 R14: ffff8800648af140 R15: ffff88000001b7c0
FS:  00002abb6585e1c0(0000) GS:ffffffff805ba000(0000) knlGS:0000000000000000
CS:  e033 DS: 0000 ES: 0000
Process firefox (pid: 21394, threadinfo ffff880019604000, task ffff880053626080)
Stack:  ffffffff8068ea40  0000000000000004  0000000000000000  0000000000007ff0 
 ffff880019605a70  0000000000000001  0000000000000002  0000000000007ff0 
 0000000000000000  ffff88000196be60 
Call Trace:
 [<ffffffff803a8439>] skbuff_ctor+0x2c/0x45
 [<ffffffff8025e1c0>] cache_alloc_refill+0x3e6/0x4ba
 [<ffffffff8020afbc>] kmem_cache_alloc+0x50/0x6d
 [<ffffffff80235df4>] alloc_skb_from_cache+0x52/0x13c
 [<ffffffff8040a972>] sock_alloc_send_skb+0x74/0x1dc
 [<ffffffff8022eca0>] __wake_up+0x38/0x4f
 [<ffffffff8024bd8c>] unix_stream_sendmsg+0x15f/0x346
 [<ffffffff80238947>] do_sock_write+0xc4/0xce
 [<ffffffff80409e68>] sock_writev+0xb7/0xd1
 [<ffffffff80315c2f>] avc_has_perm+0x43/0x55
 [<ffffffff80299fec>] autoremove_wake_function+0x0/0x2e
 [<ffffffff802cf174>] do_readv_writev+0x176/0x295
 [<ffffffff80408a24>] sock_ioctl+0x1c1/0x1e5
 [<ffffffff802ad717>] audit_syscall_entry+0x16e/0x1a1
 [<ffffffff802cf31d>] sys_writev+0x45/0x93
 [<ffffffff8025f2f9>] tracesys+0xab/0xb6


Code: f3 aa 48 c7 c7 80 31 53 80 e8 cb 67 fe ff 48 89 df 49 89 c2 
RIP  [<ffffffff8027d217>] xen_create_contiguous_region+0x8d/0x456
 RSP <ffff880019605a28>
Comment 4 Martin Jürgens 2009-04-21 18:26:44 EDT
this is a dup of bug 479754. 2.6.18-138.el5bz479754xen fixes the issue for me.
Comment 5 Chris Lalancette 2009-04-22 06:12:16 EDT

*** This bug has been marked as a duplicate of bug 479754 ***

Note You need to log in before you can comment on or make changes to this bug.